Asset Usage

Asset Usage API

1.0.0OAS 3.1

These calls allow you to keep track of assets being exported from Bynder and imported into a third party application. In order to get started or find an existing integration id you should check out this Bynder support article. If you want to register a new third party application please contact us at support@bynder.com.

API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • STATISTICS -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • STATISTICS -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Asset Usage

These calls allow you to keep track of assets being exported from Bynder and imported into a third party application. In order to get started or find an existing integration id you should check out this Bynder support article. If you want to register a new third party application please contact us at support@bynder.com.

Warning: Requires the STATISTICS security role.

Delete asset usage

Delete an asset usage entry.

delete
https://{your-bynder-domain}/api/media/usage

Query Parameters

integration_idstring

Integration id.

asset_idstring

Asset id.

uristring

Asset location.

Response

No Content

delete/api/media/usage
 

Retrieve asset usage

Retrieve asset usage information.

get
https://{your-bynder-domain}/api/media/usage

Query Parameters

asset_idstring

Asset id.

integration_idstring

Integration id.

uristring

URI.

Response

application/json

Successful response

additionalstring
asset_idstring
idstring
integrationobject
Show Child Parameters
timestampstring(date-time)
uristring
get/api/media/usage
 
application/json

Create asset usage

Create a new asset usage entry.

post
https://{your-bynder-domain}/api/media/usage

Body

application/x-www-form-urlencoded
additionalstring

Additional information.

asset_idstring

Asset id.

integration_idstring

Integration id.

timestampstring(date-time)

Datetime in ISO8601 format yyyy-mm-ddThh:mm:ssZ.

uristring

Location.

Response

application/json

Successful response

additionalstring
asset_idstring
idstring
integrationobject
Show Child Parameters
timestampstring(date-time)
uristring
post/api/media/usage

Body

{}
 
application/json